Get log entry

View as MarkdownOpen in Claude

Get detailed information for a specific notification log entry. This endpoint requires the notifications_create OR notifications_read permission.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
requestTokenstring

Long-lived API token sent in the requestToken header. See API token authentication.

Path parameters

uuidstringRequiredformat: "uuid"
The notification log entry.

Response

Success
webHeaderslist of objects or null
The custom headers Payabli sent with the notification, if any.
responseHeaderslist of objects or null
The headers the target returned. Null when the target sent no response.
responseContentstring
The body the target returned. Empty when the target sent no response.
organizationNamestring
The name of the organization the notification belongs to.
paypointNamestring

The name of the paypoint the notification is related to. Empty for organization-level notifications.

requestIdstring
The identifier for the delivery request.
idstringformat: "uuid"
The unique identifier for the notification.
orgIdlong or null
The ID of the organization the notification belongs to.
paypointIdlong or null

The ID of the paypoint the notification is related to. Null for organization-level notifications.

notificationEventstring or null

The event that triggered the notification, such as approvedpayment.

targetstring or null
The target the notification was delivered to, such as a webhook URL, email address, or phone number.
responseStatusCodeinteger

The HTTP status code the target returned, such as 200. Returns 0 when the target sent no response.

responseStatusstring

The delivery status message, such as OK when the notification succeeded, Dropped when it failed, or No response received from server. when the target sent no response.

successboolean
Indicates whether the notification was delivered successfully.
jobDatastring or null
The body of the notification.
createdDatedatetime
The date and time when the notification was created.
successDatedatetime or null
The date and time when the notification was delivered successfully. Null if it hasn't succeeded.
lastFailedDatedatetime or null
The date and time when the notification last failed. Null if it hasn't failed.
isInProgressboolean
Indicates whether the notification is currently being sent.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error